/* Put custom styling here */
.navbar > .container {
  background-image: url("/images/masthead.png")
}

body.page-status-dirty {
  background: #FFEEEE;
}

body.page-status-calculating {
  background: #FFFFE6;
}

body.page-status-clean {
  background: #EEFFEE;
}

body.page-status-loggedout {
  background: #F0F0F0;
}

i.lgicon {
  font-size: 1.2rem;
}

button.icon-button.btn {
  padding: 0.1rem;
  margin: 0.275rem 0.65rem;
}

button.icon-button.btn-warning a {
  color: black;
}

button.icon-button.btn-success a {
  color: white;
}

label.jro-pl-3 {
  padding-left: 0.5em;
}

input.form-control[type="number"] {
  text-align: right;
}

.row.shaded {
  background-color: #EEEEEE;
}

.row.hidden, .inline.hidden {
  color: darkred;
}

.row.suspended, .inline.suspended {
  color: darkblue;
}

.jro-lighter {
  color: #444444;
}

.catTarg {
  font-size: 120%;
}
.subCatTarg {
  font-size: 110%;
}
.subSubCatTarg {
  font-size: 100%;
}
.instTarg {
  font-size: 90%;
}

.catTarg.shaded {
  background-color: #EDF2F9;
}
.catTarg.shaded.odd {
  background-color: #E1E9F5;
}
.subCatTarg.shaded {
  background-color: #FCEDE3;
}
.subCatTarg.shaded.odd {
  background-color: #FCE8DA;
}
.subSubCatTarg.shaded {
  background-color: #F2F6EA;
}
.subSubCatTarg.shaded.odd {
  background-color: #EEF3E3;
}
.instTarg.shaded {
  background-color: #F8F5FA;
}
.instTarg.shaded.odd {
  background-color: #F3F0F6;
}
.smallProfit {
  color: #004d1a;
}
.largeProfit {
  color: #00802b;
}
.vlargeProfit {
  color: #00b33c;
}
.smallLoss {
  color: #4d0000;
}
.largeLoss {
  color: #800000;
}
.vlargeloss {
  color: #b30000;
}
.upload-error {
  color: purple;
  font-style: italic;
}
.field-error {
  color: red;
}
.upload-existing {
  color: darkgreen;
}
.upload-wrong {
  color: grey;
   font-style: italic;
}
.upload-duplicate {
  color: darkblue;
  font-style: italic;
}
.row.subCatTarg div:first-child {
  padding-left: 1.5em;
}
.row.subSubCatTarg div:first-child {
  padding-left: 3em;
}
.row.instTarg div:first-child {
  padding-left: 4.5em;
}

/**
 * Remove arrows / spinners from numeric input boxes
 */
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

.validinst, .considOK {
  border: green 1px solid;
  background: honeydew;
}
.noinst, .considWrong {
  border: red 1px solid;
  background: lavenderblush;
}
.considOK, .considWrong {
  border-radius: 0.5rem;
}

a.disabled {
  pointer-events: none;
  border: none;
}
div:has(>a.disabled) {
  cursor: not-allowed;
}
.statusbox.status-warn {
  background: #ffecb3;
  color: #4d3900;
}
.statusbox.status-ok {
  background: #c1f0cc;
  color: #0f3e1a;
}
.statusbox.status-error {
  background: #f4bec3;
  color: #570f16;
}
.statusbox {
  background: #EEE;
}
a.statuslink, a.not-needed {
  text-decoration: none;
  color: inherit;
}
.not-needed {
  pointer-events: none;
}
form.grid-form {
  margin-bottom: 0px;
}
form.grid-form button {
  padding-top: 0px;
  padding-bottom: 0px;
  padding-left: 0.2rem;
}
